Bug 1484901 - [RFE] Include EvmRole-reader as read-only role in the fixtures
Summary: [RFE] Include EvmRole-reader as read-only role in the fixtures
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control
Version: 5.8.0
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: GA
: 5.8.2
Assignee: Greg McCullough
QA Contact: Satyajit Bulage
URL:
Whiteboard:
Depends On: 1480190
Blocks: 1480288
TreeView+ depends on / blocked
 
Reported: 2017-08-24 13:48 UTC by Satoe Imaishi
Modified: 2017-10-24 00:40 UTC (History)
4 users (show)

Fixed In Version: 5.8.2.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1480190
Environment:
Last Closed: 2017-10-24 00:40:39 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq pull 15647 None None None 2017-08-24 13:48:46 UTC
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-24 13:51:15 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/531a8095e13819fadbc6c8682481ff28efd2e36b

commit 531a8095e13819fadbc6c8682481ff28efd2e36b
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Jul 27 08:42:40 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Aug 24 09:48:39 2017 -0400

    Merge pull request #15647 from rsevilla87/master
    
    Include EvmRole-reader as read-only role in the fixtures
    (cherry picked from commit 78fb6b49aa6699b9d4e90ab14f2175a051c0c4fe)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1484901

 db/fixtures/miq_user_roles.yml    | 107 ++++++++++++++++++++++++++++++++++++++
 db/fixtures/role_map.yaml         |   1 +
 spec/models/miq_user_role_spec.rb |   2 +-
 3 files changed, 109 insertions(+), 1 deletion(-)

Comment 3 Satyajit Bulage 2017-09-05 13:03:29 UTC
EvmRole-reader as read-only role is present in the fixtures with view access.

Verified Version: 5.8.2.0.20170824192913_b09a5f8

Comment 5 errata-xmlrpc 2017-10-24 00:40:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.